import { BaseProvider } from '#templates/base/provider';
import { NotificationMessage } from '#models/NotificationMessage';

export class NotificationMessageProvider extends BaseProvider<NotificationMessage> {
	public static instance: NotificationMessageProvider;

	public static getInstance(): NotificationMessageProvider {
		NotificationMessageProvider.instance ??= new NotificationMessageProvider();
		return NotificationMessageProvider.instance;
	}

	public static get model() {
		return NotificationMessage;
	}

	constructor() {
		super('NotificationMessage');
	}
}
